UnicodeCommentExtraField (Apache Ant API)
Date: 2016-04-24

org.apache.tools.zip

## Class UnicodeCommentExtraField

- java.lang.Object
- - org.apache.tools.zip.AbstractUnicodeExtraField
  - - org.apache.tools.zip.UnicodeCommentExtraField

- All Implemented Interfaces:
    ZipExtraField

      public class UnicodeCommentExtraField
      extends AbstractUnicodeExtraField

  Info-ZIP Unicode Comment Extra Field (0x6375):

  Stores the UTF-8 version of the file comment as stored in the central directory header.

  See "http://www.pkware.com/documents/casestudies/APPNOTE.TXT PKWARE's APPNOTE.TXT, section 4.6.8".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ZipShort` | `UCOM_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnicodeCommentExtraField()`
    `UnicodeCommentExtraField(java.lang.String comment, byte[] bytes)` Assemble as unicode comment extension from the comment given as text as well as the bytes actually written to the archive.
    `UnicodeCommentExtraField(java.lang.String text, byte[] bytes, int off, int len)` Assemble as unicode comment extension from the name given as text as well as the encoded bytes actually written to the archive.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZipShort` | `getHeaderId()` The Header-ID.

    - ### Methods inherited from class org.apache.tools.zip.AbstractUnicodeExtraField

      `getCentralDirectoryData, getCentralDirectoryLength, getLocalFileDataData, getLocalFileDataLength, getNameCRC32, getUnicodeName, parseFromLocalFileData, setNameCRC32, setUnicodeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UCOM_ID

          public static final ZipShort UCOM_ID

  - ### Constructor Detail

    - #### UnicodeCommentExtraField

          public UnicodeCommentExtraField()

    - #### UnicodeCommentExtraField

          public UnicodeCommentExtraField(java.lang.String text,
                                  byte[] bytes,
                                  int off,
                                  int len)

      Assemble as unicode comment extension from the name given as text as well as the encoded bytes actually written to the archive.
      Parameters:
        `text` - The file name
        `bytes` - the bytes actually written to the archive
        `off` - The offset of the encoded comment in `bytes`.
        `len` - The length of the encoded comment or comment in `bytes`.

    - #### UnicodeCommentExtraField

          public UnicodeCommentExtraField(java.lang.String comment,
                                  byte[] bytes)

      Assemble as unicode comment extension from the comment given as text as well as the bytes actually written to the archive.
      Parameters:
        `comment` - The file comment
        `bytes` - the bytes actually written to the archive

  - ### Method Detail

    - #### getHeaderId

          public ZipShort getHeaderId()

      The Header-ID.
      Returns:
        the header id